<?php

    include("../../classes/database.class.php");
    include("../../classes/periodoModel.class.php");
    include("../../classes/periodoController.class.php");
    

    $nome = $_POST["nome"];
    $inicio = $_POST["inicio"];
    $final = $_POST["final"];
    $nota = $_POST["nota"];

    if($nota == ""){
        $nota = null;
    }
    
    $periodo = new PeriodoController($nome, $inicio, $final, $nota);
    $rows = $periodo->createPeriodo();

   echo json_encode($rows);